/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { MoneyFlowIndexIndicatorStrategy } from "./MoneyFlowIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class MoneyFlowIndexIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.o8 = 1;
    }
    get_p0() {
        return new MoneyFlowIndexIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return MoneyFlowIndexIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(MoneyFlowIndexIndicator.qm));
    }
    set ql(a) {
        this.h(MoneyFlowIndexIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
MoneyFlowIndexIndicator.qm = StrategyBasedIndicator.qi(14, MoneyFlowIndexIndicator.$);
MoneyFlowIndexIndicator.$t = markType(MoneyFlowIndexIndicator, 'MoneyFlowIndexIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.MoneyFlowIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.MoneyFlowIndexIndicator" />*/
